package eu.data4impact.views.fields;

import java.io.Serializable;
import java.util.Objects;

public class RelatedEntity implements Serializable {

	/**
	 *
	 */
	private static final long serialVersionUID = 186083684801169397L;

	private String id;

	private String name;

	private String role;

	public String getId() {
		return id;
	}

	public void setId(final String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(final String name) {
		this.name = name;
	}

	public String getRole() {
		return role;
	}

	public void setRole(final String role) {
		this.role = role;
	}

	@Override
	public int hashCode() {
		return Objects.hash(id, name, role);
	}

	@Override
	public boolean equals(final Object obj) {
		if (this == obj) { return true; }
		if (obj == null) { return false; }
		if (!(obj instanceof RelatedEntity)) { return false; }
		final RelatedEntity other = (RelatedEntity) obj;
		return Objects.equals(id, other.id) && Objects.equals(name, other.name) && Objects.equals(role, other.role);
	}

}
