select 
	table_name                                          as name, 
	(xpath('/row/cnt/text()', xml_count))[1]::text::int as count
from (
	select
		table_name,
		query_to_xml(format('select count(*) as cnt from %I.%I', table_schema, table_name), false, true, '') as xml_count
	from information_schema.tables
	where table_schema = 'public'
) t
order by count desc
