package eu.data4impact.model.projects;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Table;

/**
 * The persistent class for the doc_project database table.
 *
 */
@Entity
@Table(name = "doc_project")
@IdClass(DocProjectPK.class)
public class DocProject implements Serializable {

	/**
	 *
	 */
	private static final long serialVersionUID = 4633868000577286148L;

	@Id
	@Column(name = "projectid")
	private String projectId;

	@Id
	@Column(name = "docid")
	private String docId;

	@Column(name = "inferred", insertable = false, updatable = false)
	private Boolean inferred;

	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(final String projectId) {
		this.projectId = projectId;
	}

	public String getDocId() {
		return docId;
	}

	public void setDocId(final String docId) {
		this.docId = docId;
	}

	public Boolean getInferred() {
		return inferred;
	}

	public void setInferred(final Boolean inferred) {
		this.inferred = inferred;
	}

}
